Bug 928125 - [abrt] claws-mail-3.9.0-1.fc18: gtk_cmctree_is_viewable: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
Summary: [abrt] claws-mail-3.9.0-1.fc18: gtk_cmctree_is_viewable: Process /usr/bin/cla...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7a76f7fc8d2fac62710c1b566be...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-27 01:12 UTC by Fred Erickson
Modified: 2014-01-20 11:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-01 17:30:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (23.89 KB, text/plain)
2013-03-27 01:12 UTC, Fred Erickson
no flags Details
File: cgroup (127 bytes, text/plain)
2013-03-27 01:12 UTC, Fred Erickson
no flags Details
File: core_backtrace (1.56 KB, text/plain)
2013-03-27 01:12 UTC, Fred Erickson
no flags Details
File: dso_list (12.16 KB, text/plain)
2013-03-27 01:12 UTC, Fred Erickson
no flags Details
File: environ (1.49 KB, text/plain)
2013-03-27 01:12 UTC, Fred Erickson
no flags Details
File: limits (1.29 KB, text/plain)
2013-03-27 01:12 UTC, Fred Erickson
no flags Details
File: maps (61.51 KB, text/plain)
2013-03-27 01:12 UTC, Fred Erickson
no flags Details
File: open_fds (1.10 KB, text/plain)
2013-03-27 01:12 UTC, Fred Erickson
no flags Details
File: proc_pid_status (955 bytes, text/plain)
2013-03-27 01:12 UTC, Fred Erickson
no flags Details
File: var_log_messages (318 bytes, text/plain)
2013-03-27 01:12 UTC, Fred Erickson
no flags Details
File: xsession_errors (10.49 KB, text/plain)
2013-03-27 01:12 UTC, Fred Erickson
no flags Details

Description Fred Erickson 2013-03-27 01:12:05 UTC
Description of problem:
I believe I was just reading, then deleting email. It may have happened just after a deletion. Doesn't seem to be repeatable.

Version-Release number of selected component:
claws-mail-3.9.0-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        claws-mail
crash_function: gtk_cmctree_is_viewable
executable:     /usr/bin/claws-mail
kernel:         3.8.4-202.fc18.x86_64
uid:            1000
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 gtk_cmctree_is_viewable at gtkcmctree.c:3443
 #1 tree_draw_node at gtkcmctree.c:2698
 #2 gtk_cmctree_node_set_foreground at gtkcmctree.c:4482
 #3 summary_set_row_marks at summaryview.c:3816
 #4 msginfo_mark_as_read at summaryview.c:3511
 #5 msginfo_mark_as_read_timeout at summaryview.c:3528
 #11 gtk_main at gtkmain.c:1257

Comment 1 Fred Erickson 2013-03-27 01:12:08 UTC
Created attachment 716825 [details]
File: backtrace

Comment 2 Fred Erickson 2013-03-27 01:12:11 UTC
Created attachment 716826 [details]
File: cgroup

Comment 3 Fred Erickson 2013-03-27 01:12:13 UTC
Created attachment 716827 [details]
File: core_backtrace

Comment 4 Fred Erickson 2013-03-27 01:12:15 UTC
Created attachment 716828 [details]
File: dso_list

Comment 5 Fred Erickson 2013-03-27 01:12:18 UTC
Created attachment 716829 [details]
File: environ

Comment 6 Fred Erickson 2013-03-27 01:12:20 UTC
Created attachment 716830 [details]
File: limits

Comment 7 Fred Erickson 2013-03-27 01:12:22 UTC
Created attachment 716831 [details]
File: maps

Comment 8 Fred Erickson 2013-03-27 01:12:24 UTC
Created attachment 716832 [details]
File: open_fds

Comment 9 Fred Erickson 2013-03-27 01:12:26 UTC
Created attachment 716833 [details]
File: proc_pid_status

Comment 10 Fred Erickson 2013-03-27 01:12:28 UTC
Created attachment 716834 [details]
File: var_log_messages

Comment 11 Fred Erickson 2013-03-27 01:12:30 UTC
Created attachment 716835 [details]
File: xsession_errors

Comment 12 Michael Schwendt 2013-03-27 11:01:31 UTC
Your attached $HOME/.xsession-errors file ( https://bugzilla.redhat.com/attachment.cgi?id=716835 ) contains "IMAP error on imap.gmail.com: STATUS error" many times. Troubles with GMail IMAP require the user to be even more careful and patient when trying to delete messages or close folders/windows.


> Doesn't seem to be repeatable.

The crash is related to marking a message as read.


> #5  0x0000000000557323 in msginfo_mark_as_read_timeout 

Please show the output of these commands:

  grep mark_as_read ~/.claws-mail/clawsrc
  grep layout ~/.claws-mail/clawsrc
  grep io_timeout ~/.claws-mail/clawsrc


Note You need to log in before you can comment on or make changes to this bug.